Chromium Code Reviews
Help | Chromium Project | Sign in
(85)

Issue 2755053002: Generate the storage of pseudoBits and styleType in ComputedStyleBase. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 2 days ago by shend
Modified:
3 days ago
Reviewers:
alancutter
CC:
blink-reviews, blink-reviews-style_chromium.org, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Generate the storage of pseudoBits and styleType in ComputedStyleBase. In ComputedStyle, pseudoBits and styleType are two data members used for storing psuedoelement styles. Their interface is difficult to generate because: 1) They share the same enum, but not all enum values are valid for styleType. 2) pseudoBits is a bit set, which we can't generate yet. This patch uses the 'storage_only' template to move the storage of both fields to ComputedStyleBase first, and keep the interfaces handwritten. This is prework for either generating those fields properly or removing pseudo style information from ComputedStyle entirely. Diff of generated files: https://gist.github.com/darrnshn/1044b3bd2822c62072ab6f0e22f43104/revisions BUG=628043 Review-Url: https://codereview.chromium.org/2755053002 Cr-Commit-Position: refs/heads/master@{#459290} Committed: https://chromium.googlesource.com/chromium/src/+/6b815d45f10ca1b8fb208647f2a0576bdf31e006

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Patch Set 4 : Fix default values #

Patch Set 5 : Rebase #

Patch Set 6 : Rebase #

Patch Set 7 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -23 lines) Patch
M third_party/WebKit/Source/build/scripts/make_computed_style_base.py View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/build/scripts/templates/ComputedStyleBase.h.tmpl View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/build/scripts/templates/fields/storage_only.tmpl View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.h View 1 2 3 4 5 6 4 chunks +6 lines, -20 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.cpp View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
Trybot results:  win_clang   mac_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_chromium_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_android   ios-simulator   linux_chromium_chromeos_rel_ng   android_clang_dbg_recipe   linux_chromium_asan_rel_ng   chromium_presubmit   linux_android_rel_ng   cast_shell_linux   ios-simulator-xcode-clang   android_n5x_swarming_rel   linux_chromium_tsan_rel_ng   ios-device   android_cronet   android_compile_dbg   linux_chromium_compile_dbg_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   ios-device-xcode-clang   android_arm64_dbg_recipe   mac_chromium_rel_ng   win_clang   mac_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   ios-device   android_cronet   android_arm64_dbg_recipe   android_clang_dbg_recipe   android_n5x_swarming_rel   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   linux_chromium_rel_ng   android_compile_dbg   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   ios-device-xcode-clang   cast_shell_linux   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_tsan_rel_ng   ios-simulator-xcode-clang   ios-simulator 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 38 (33 generated)
shend
Hi Alan, PTAL :)
1 week, 2 days ago (2017-03-17 00:43:56 UTC) #2
alancutter
Please upload the generated diff.
6 days, 19 hours ago (2017-03-20 05:14:13 UTC) #3
alancutter
lgtm. I think the "// Not generated" could be more explicit about what's not generated ...
6 days, 19 hours ago (2017-03-20 05:18:47 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755053002/120001
3 days, 2 hours ago (2017-03-23 21:49:40 UTC) #35
commit-bot: I haz the power
3 days ago (2017-03-24 00:08:19 UTC) #38
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/6b815d45f10ca1b8fb208647f2a0...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62